<ui:composition
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:a4j="http://richfaces.org/a4j"
        xmlns:s="http://jboss.org/schema/seam/taglib"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:rich="http://richfaces.org/rich"
        xmlns="http://www.w3.org/1999/xhtml" template="layout/template.xhtml">
    <ui:define name="body">
        #{messagesBean.initFromUrl()}
        <h1>#{messages['net.ihe.gazelle.proxy.MessageList']}</h1>
        <h:form id="filterForm">
            <h:outputScript library="js" name="disable_input_spinner_mouse_wheel.js"/>
            <div class="form-horizontal">
                <ui:decorate template="/layout/panels/_panel_filter_criteria.xhtml">
                    <ui:define name="panel_title">
                        <h:outputText value="#{messages['net.ihe.gazelle.proxy.DynamicSearchCriteria']}"/>
                    </ui:define>
                    <div class="row">
                        <div class="col-md-6">
                            <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                                <ui:param name="id" value="messageTypeBox"/>
                                <ui:define name="label">#{messages['net.ihe.gazelle.proxy.MessageType']}</ui:define>
                                <h:selectOneMenu id="messageTypeBox"
                                                 styleClass="form-control gzl-form-control gzl-select-text"
                                                 value="#{messagesBean.messageType}">
                                    <s:selectItems value="#{messagesBean.getMessageTypes()}"
                                                   var="cmdField" label="#{cmdField.toString()}"/>
                                    <a4j:ajax event="change"
                                              listener="#{messagesBean.redirectToMessages(messagesBean.messageType,messagesBean.proxyPort,messagesBean.responderIP,messagesBean.responderPort,messagesBean.initiatorIP,messagesBean.initiatorPort,null,messagesBean.dateFrom,messagesBean.dateTo,null,null,null,null,messagesBean.shared, messagesBean.secured)}"
                                              render="panelOfMessages"/>
                                </h:selectOneMenu>
                            </s:decorate>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-6">
                            <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                                <ui:param name="id" value="secureMessage"/>
                                <ui:define name="label">#{messages['net.ihe.gazelle.proxy.SecureMessage']}</ui:define>
                                <h:selectOneMenu id="secureMessage"
                                                 styleClass="form-control gzl-form-control gzl-select-text"
                                                 value="#{messagesBean.secured}">
                                    <f:selectItem id="item"
                                                  itemLabel="--"
                                                  itemValue="#{null}"/>
                                    <f:selectItem id="item1"
                                                  itemLabel="#{messages['net.ihe.gazelle.proxy.SecuredChannel']}"
                                                  itemValue="#{true}"/>
                                    <f:selectItem id="item2"
                                                  itemLabel="#{messages['net.ihe.gazelle.proxy.NotSecuredChannel']}"
                                                  itemValue="#{false}"/>
                                    <a4j:ajax event="change" execute="@this"
                                              render="panelOfMessages"/>
                                </h:selectOneMenu>
                                <a4j:commandLink
                                        actionListener="#{messagesBean.redirectToMessages(messagesBean.messageType,messagesBean.proxyPort,messagesBean.responderIP,messagesBean.responderPort,messagesBean.initiatorIP,messagesBean.initiatorPort,messagesBean.connectionId,messagesBean.dateFrom,messagesBean.dateTo,messagesBean.dicomAffectedSopClassUID,messagesBean.dicomCommandField,messagesBean.hl7MessageType,null,messagesBean.shared, messagesBean.secured)}"
                                        render="panelOfMessages" title="#{messages['net.ihe.gazelle.proxy.ClearFieldAndSearch']}"
                                        execute="@this">
                                    <span class="gzl-icon-times"/>
                                </a4j:commandLink>
                            </s:decorate>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-6">
                            <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                                <ui:param name="id" value="initiatorIP"/>
                                <ui:define name="label">#{messages['net.ihe.gazelle.proxy.InitiatorsIP']}</ui:define>
                                <h:inputText styleClass=" form-control" id="initiatorIP"
                                             value="#{messagesBean.initiatorIP}">
                                    <a4j:ajax event="change"
                                              actionListener="#{messagesBean.validateInitiatorIP()}"
                                              render="panelOfMessages" execute="@this"
                                              listener="#{messagesBean.redirectToMessages(messagesBean.messageType,messagesBean.proxyPort,messagesBean.responderIP,messagesBean.responderPort,messagesBean.initiatorIP,messagesBean.initiatorPort,messagesBean.connectionId,messagesBean.dateFrom,messagesBean.dateTo,messagesBean.dicomAffectedSopClassUID,messagesBean.dicomCommandField,messagesBean.hl7MessageType,messagesBean.httpMessageType, messagesBean.shared, messagesBean.secured)}"/>
                                </h:inputText>
                                <a4j:commandLink
                                        actionListener="#{messagesBean.redirectToMessages(messagesBean.messageType,messagesBean.proxyPort,messagesBean.responderIP,messagesBean.responderPort,null,messagesBean.initiatorPort,messagesBean.connectionId,messagesBean.dateFrom,messagesBean.dateTo,messagesBean.dicomAffectedSopClassUID,messagesBean.dicomCommandField,messagesBean.hl7MessageType,messagesBean.httpMessageType, messagesBean.shared, messagesBean.secured)}"
                                        render="panelOfMessages" title="#{messages['net.ihe.gazelle.proxy.ClearFieldAndSearch']}"
                                        execute="@this">
                                    <span class="gzl-icon-times"/>
                                </a4j:commandLink>
                            </s:decorate>
                        </div>
                        <div class="col-md-6">
                            <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                                <ui:param name="id" value="initiatorsPortSpinnerInput"/>
                                <ui:define name="label">#{messages['net.ihe.gazelle.proxy.InitiatorsPort']}</ui:define>
                                <rich:inputNumberSpinner id="initiatorsPortSpinnerInput"
                                                         value="#{messagesBean.initiatorPort}"
                                                         minValue="0" maxValue="65535">
                                    <a4j:ajax event="change" render="panelOfMessages"
                                              execute="@this"
                                              listener="#{messagesBean.redirectToMessages(messagesBean.messageType,messagesBean.proxyPort,messagesBean.responderIP,messagesBean.responderPort,messagesBean.initiatorIP,messagesBean.initiatorPort,messagesBean.connectionId,messagesBean.dateFrom,messagesBean.dateTo,messagesBean.dicomAffectedSopClassUID,messagesBean.dicomCommandField,messagesBean.hl7MessageType,messagesBean.httpMessageType,messagesBean.shared, messagesBean.secured)}"/>
                                </rich:inputNumberSpinner>
                                <a4j:commandLink
                                        actionListener="#{messagesBean.redirectToMessages(messagesBean.messageType,messagesBean.proxyPort,messagesBean.responderIP,messagesBean.responderPort,messagesBean.initiatorIP,null,messagesBean.connectionId,messagesBean.dateFrom,messagesBean.dateTo,messagesBean.dicomAffectedSopClassUID,messagesBean.dicomCommandField,messagesBean.hl7MessageType,messagesBean.httpMessageType,messagesBean.shared, messagesBean.secured)}"
                                        render="panelOfMessages" title="#{messages['net.ihe.gazelle.proxy.ClearFieldAndSearch']}"
                                        execute="@this">
                                    <span class="gzl-icon-times"/>
                                </a4j:commandLink>
                            </s:decorate>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-6">
                            <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                                <ui:param name="id" value="responderIP"/>
                                <ui:define name="label">#{messages['net.ihe.gazelle.proxy.RespondersIP']}</ui:define>
                                <h:inputText styleClass=" form-control" id="responderIP"
                                             value="#{messagesBean.responderIP}">
                                    <a4j:ajax event="change"
                                              actionListener="#{messagesBean.validateResponderIP()}"
                                              render="panelOfMessages" execute="@this"
                                              listener="#{messagesBean.redirectToMessages(messagesBean.messageType,messagesBean.proxyPort,messagesBean.responderIP,messagesBean.responderPort,messagesBean.initiatorIP,messagesBean.initiatorPort,messagesBean.connectionId,messagesBean.dateFrom,messagesBean.dateTo,messagesBean.dicomAffectedSopClassUID,messagesBean.dicomCommandField,messagesBean.hl7MessageType,messagesBean.httpMessageType,messagesBean.shared, messagesBean.secured)}"/>
                                </h:inputText>
                                <a4j:commandLink
                                        actionListener="#{messagesBean.redirectToMessages(messagesBean.messageType,messagesBean.proxyPort,null,messagesBean.responderPort,messagesBean.initiatorIP,messagesBean.initiatorPort,messagesBean.connectionId,messagesBean.dateFrom,messagesBean.dateTo,messagesBean.dicomAffectedSopClassUID,messagesBean.dicomCommandField,messagesBean.hl7MessageType,messagesBean.httpMessageType,messagesBean.shared, messagesBean.secured)}"
                                        render="panelOfMessages" title="#{messages['net.ihe.gazelle.proxy.ClearFieldAndSearch']}"
                                        execute="@this">
                                    <span class="gzl-icon-times"/>
                                </a4j:commandLink>
                            </s:decorate>
                        </div>
                        <div class="col-md-6">
                            <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                                <ui:param name="id" value="respondersPortSpinnerInput"/>
                                <ui:define name="label">#{messages['net.ihe.gazelle.proxy.RespondersPort']}</ui:define>
                                <rich:inputNumberSpinner id="respondersPortSpinnerInput"
                                                         value="#{messagesBean.responderPort}"
                                                         minValue="0" maxValue="65535">
                                    <a4j:ajax event="change" render="panelOfMessages"
                                              execute="@this"
                                              listener="#{messagesBean.redirectToMessages(messagesBean.messageType,messagesBean.proxyPort,messagesBean.responderIP,messagesBean.responderPort,messagesBean.initiatorIP,messagesBean.initiatorPort,messagesBean.connectionId,messagesBean.dateFrom,messagesBean.dateTo,messagesBean.dicomAffectedSopClassUID,messagesBean.dicomCommandField,messagesBean.hl7MessageType,messagesBean.httpMessageType,messagesBean.shared, messagesBean.secured)}"/>
                                </rich:inputNumberSpinner>
                                <a4j:commandLink
                                        actionListener="#{messagesBean.redirectToMessages(messagesBean.messageType,messagesBean.proxyPort,messagesBean.responderIP,null,messagesBean.initiatorIP,messagesBean.initiatorPort,messagesBean.connectionId,messagesBean.dateFrom,messagesBean.dateTo,messagesBean.dicomAffectedSopClassUID,messagesBean.dicomCommandField,messagesBean.hl7MessageType,messagesBean.httpMessageType,messagesBean.shared, messagesBean.secured)}"
                                        render="panelOfMessages" title="#{messages['net.ihe.gazelle.proxy.ClearFieldAndSearch']}"
                                        execute="@this">
                                    <span class="gzl-icon-times"/>
                                </a4j:commandLink>
                            </s:decorate>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-6">
                            <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                                <ui:param name="id" value="respondersPortSpinnerInput"/>
                                <ui:define name="label">#{messages['net.ihe.gazelle.proxy.ProxysPort']}</ui:define>
                                <rich:inputNumberSpinner id="proxysPortSpinnerInput"
                                                         value="#{messagesBean.proxyPort}"
                                                         minValue="0" maxValue="65535">
                                    <a4j:ajax event="change" render="panelOfMessages"
                                              execute="@this"
                                              listener="#{messagesBean.redirectToMessages(messagesBean.messageType,messagesBean.proxyPort,messagesBean.responderIP,messagesBean.responderPort,messagesBean.initiatorIP,messagesBean.initiatorPort,messagesBean.connectionId,messagesBean.dateFrom,messagesBean.dateTo,messagesBean.dicomAffectedSopClassUID,messagesBean.dicomCommandField,messagesBean.hl7MessageType,messagesBean.httpMessageType,messagesBean.shared, messagesBean.secured)}"/>
                                </rich:inputNumberSpinner>
                                <a4j:commandLink
                                        actionListener="#{messagesBean.redirectToMessages(messagesBean.messageType,null,messagesBean.responderIP,messagesBean.responderPort,messagesBean.initiatorIP,messagesBean.initiatorPort,messagesBean.connectionId,messagesBean.dateFrom,messagesBean.dateTo,messagesBean.dicomAffectedSopClassUID,messagesBean.dicomCommandField,messagesBean.hl7MessageType,messagesBean.httpMessageType,messagesBean.shared, messagesBean.secured)}"
                                        render="panelOfMessages" title="#{messages['net.ihe.gazelle.proxy.ClearFieldAndSearch']}"
                                        execute="@this">
                                    <span class="gzl-icon-times"/>
                                </a4j:commandLink>
                            </s:decorate>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-6">
                            <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                                <ui:param name="id" value="connectionIDSpinnerInput"/>
                                <ui:define name="label">#{messages['net.ihe.gazelle.proxy.ConnectionID']}</ui:define>
                                <rich:inputNumberSpinner id="connectionIDSpinnerInput"
                                                         value="#{messagesBean.connectionId}"
                                                         minValue="0" maxValue="100000000">
                                    <a4j:ajax event="change" render="panelOfMessages"
                                              execute="@this"
                                              listener="#{messagesBean.redirectToMessages(messagesBean.messageType,messagesBean.proxyPort,messagesBean.responderIP,messagesBean.responderPort,messagesBean.initiatorIP,messagesBean.initiatorPort,messagesBean.connectionId,messagesBean.dateFrom,messagesBean.dateTo,messagesBean.dicomAffectedSopClassUID,messagesBean.dicomCommandField,messagesBean.hl7MessageType,messagesBean.httpMessageType,messagesBean.shared, messagesBean.secured)}"/>
                                </rich:inputNumberSpinner>
                                <a4j:commandLink
                                        actionListener="#{messagesBean.redirectToMessages(messagesBean.messageType,messagesBean.proxyPort,messagesBean.responderIP,messagesBean.responderPort,messagesBean.initiatorIP,messagesBean.initiatorPort,null,messagesBean.dateFrom,messagesBean.dateTo,messagesBean.dicomAffectedSopClassUID,messagesBean.dicomCommandField,messagesBean.hl7MessageType,messagesBean.httpMessageType,messagesBean.shared, messagesBean.secured)}"
                                        render="panelOfMessages" title="#{messages['net.ihe.gazelle.proxy.ClearFieldAndSearch']}"
                                        execute="@this">
                                    <span class="gzl-icon-times"/>
                                </a4j:commandLink>
                            </s:decorate>
                        </div>

                        <div class="col-md-6">
                            <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml" rendered="#{applicationConfigurationManager.isAdminOnlyMode()}">
                                <ui:param name="id" value="selectShared"/>
                                <ui:define name="label">#{messages['net.ihe.gazelle.proxy.ConnectionPrivacy']}
                                </ui:define>
                                <h:selectOneMenu id="selectSharedMenu"
                                                 styleClass="form-control gzl-form-control gzl-select-text"
                                                 value="#{messagesBean.messageFilterStandard.shared}">
                                    <f:selectItem id="item" itemLabel="#{messages['net.ihe.gazelle.proxy.All']}" itemValue="#{null}"/>
                                    <f:selectItem id="item1"
                                                  itemLabel="#{messages['net.ihe.gazelle.proxy.Shared']}"
                                                  itemValue="#{true}"/>
                                    <f:selectItem id="item2"
                                                  itemLabel="#{messages['net.ihe.gazelle.proxy.Private']}"
                                                  itemValue="#{false}"/>
                                    <a4j:ajax event="change"
                                              listener="#{messagesBean.refreshFilter()}"
                                              execute="@this" render="panelOfMessages"/>
                                </h:selectOneMenu>
                                <a4j:commandLink
                                        actionListener="#{messagesBean.redirectToMessages(messagesBean.messageType,messagesBean.proxyPort,messagesBean.responderIP,messagesBean.responderPort,messagesBean.initiatorIP,messagesBean.initiatorPort,messagesBean.connectionId,null,null,messagesBean.dicomAffectedSopClassUID,messagesBean.dicomCommandField,messagesBean.hl7MessageType,messagesBean.httpMessageType,null, messagesBean.secured)}"
                                        render="panelOfMessages" title="#{messages['net.ihe.gazelle.proxy.ClearFieldAndSearch']}"
                                        execute="@this">
                                    <span class="gzl-icon-times"/>
                                </a4j:commandLink>
                            </s:decorate>
                        </div>
                    </div>
                    <s:div id="sopClassDiv">
                        <s:div styleClass="row" rendered="#{messagesBean.isDICOM()}">
                            <div class="col-md-6">
                                <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                                    <ui:param name="id" value="sopInput"/>
                                    <ui:define name="label">
                                        #{messages['net.ihe.gazelle.proxy.DICOMAffectedSopClassUID']}
                                    </ui:define>
                                    <h:selectOneMenu id="soaInput"
                                                     styleClass="form-control gzl-form-control gzl-select-text"
                                                     value="#{messagesBean.dicomAffectedSopClassUID}">
                                        <f:selectItems
                                                value="#{messagesBean.getDicomAffectedSopClassUIDs()}"/>
                                        <a4j:ajax event="change" execute="@this"
                                                  render="panelOfMessages,sopClassDiv"/>
                                    </h:selectOneMenu>
                                    <a4j:commandLink
                                            actionListener="#{messagesBean.redirectToMessages(messagesBean.messageType,messagesBean.proxyPort,messagesBean.responderIP,messagesBean.responderPort,messagesBean.initiatorIP,messagesBean.initiatorPort,messagesBean.connectionId,messagesBean.dateFrom,messagesBean.dateTo,null,messagesBean.dicomCommandField,messagesBean.hl7MessageType,messagesBean.httpMessageType,messagesBean.shared, messagesBean.secured)}"
                                            render="panelOfMessages" title="#{messages['net.ihe.gazelle.proxy.ClearFieldAndSearch']}"
                                            execute="@this">
                                        <span class="gzl-icon-times"/>
                                    </a4j:commandLink>
                                </s:decorate>
                            </div>
                            <div class="col-md-6">
                                <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                                    <ui:param name="id" value="oidValueId"/>
                                    <ui:define name="label">#{messages['net.ihe.gazelle.proxy.OR']}</ui:define>
                                    <h:inputText styleClass=" form-control" id="oidValueId"
                                                 value="#{messagesBean.dicomAffectedSopClassUID}">
                                        <a4j:ajax event="change"
                                                  actionListener="#{messagesBean.validateOID()}"
                                                  render="panelOfMessages,sopClassDiv" execute="@this"/>
                                    </h:inputText>
                                    <a4j:commandLink
                                            actionListener="#{messagesBean.redirectToMessages(messagesBean.messageType,messagesBean.proxyPort,messagesBean.responderIP,messagesBean.responderPort,messagesBean.initiatorIP,messagesBean.initiatorPort,messagesBean.connectionId,messagesBean.dateFrom,messagesBean.dateTo,null,messagesBean.dicomCommandField,messagesBean.hl7MessageType,messagesBean.httpMessageType,messagesBean.shared, messagesBean.secured)}"
                                            render="panelOfMessages" title="#{messages['net.ihe.gazelle.proxy.ClearFieldAndSearch']}"
                                            execute="@this">
                                        <span class="gzl-icon-times"/>
                                    </a4j:commandLink>
                                </s:decorate>
                            </div>
                        </s:div>
                    </s:div>
                    <s:div styleClass="row" rendered="#{messagesBean.isDICOM()}">
                        <div class="col-md-6">
                            <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                                <ui:param name="id" value="dicomCommandFieldInput"/>
                                <ui:define name="label">#{messages['net.ihe.gazelle.proxy.DicomCommandField']}
                                </ui:define>
                                <h:selectOneMenu id="dicomCommandFieldInput"
                                                 styleClass="form-control gzl-form-control gzl-select-text"
                                                 value="#{messagesBean.dicomCommandField}">
                                    <f:selectItems
                                            value="#{messagesBean.getDicomCommandFields()}"/>
                                    <a4j:ajax event="change" execute="@this"
                                              render="panelOfMessages"/>
                                </h:selectOneMenu>
                                <a4j:commandLink
                                        actionListener="#{messagesBean.redirectToMessages(messagesBean.messageType,messagesBean.proxyPort,messagesBean.responderIP,messagesBean.responderPort,messagesBean.initiatorIP,messagesBean.initiatorPort,messagesBean.connectionId,messagesBean.dateFrom,messagesBean.dateTo,messagesBean.dicomAffectedSopClassUID,null,messagesBean.hl7MessageType,messagesBean.httpMessageType,messagesBean.shared, messagesBean.secured)}"
                                        render="panelOfMessages" title="#{messages['net.ihe.gazelle.proxy.ClearFieldAndSearch']}"
                                        execute="@this">
                                    <span class="gzl-icon-times"/>
                                </a4j:commandLink>
                            </s:decorate>
                        </div>
                    </s:div>
                    <s:div styleClass="row" rendered="#{messagesBean.isHL7()}">
                        <div class="col-md-6">
                            <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                                <ui:param name="id" value="hl7TypeInput"/>
                                <ui:define name="label">#{messages['net.ihe.gazelle.proxy.HL7MessageType']}</ui:define>
                                <h:selectOneMenu id="hl7TypeInput"
                                                 styleClass="form-control gzl-form-control gzl-select-text"
                                                 value="#{messagesBean.hl7MessageType}">
                                    <f:selectItems
                                            value="#{messagesBean.getHL7MessageTypes()}"/>
                                    <a4j:ajax event="change" execute="@this"
                                              render="panelOfMessages"/>
                                </h:selectOneMenu>
                                <a4j:commandLink
                                        actionListener="#{messagesBean.redirectToMessages(messagesBean.messageType,messagesBean.proxyPort,messagesBean.responderIP,messagesBean.responderPort,messagesBean.initiatorIP,messagesBean.initiatorPort,messagesBean.connectionId,messagesBean.dateFrom,messagesBean.dateTo,messagesBean.dicomAffectedSopClassUID,messagesBean.dicomCommandField,null,messagesBean.httpMessageType,messagesBean.shared, messagesBean.secured)}"
                                        render="panelOfMessages" title="#{messages['net.ihe.gazelle.proxy.ClearFieldAndSearch']}"
                                        execute="@this">
                                    <span class="gzl-icon-times"/>
                                </a4j:commandLink>
                            </s:decorate>
                        </div>
                    </s:div>
                    <s:div styleClass="row" rendered="#{messagesBean.isHTTP()}">
                        <div class="col-md-6">
                            <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                                <ui:param name="id" value="httpTypeInput"/>
                                <ui:define name="label">#{messages['net.ihe.gazelle.proxy.HTTPMessageType']}</ui:define>
                                <h:selectOneMenu id="httpTypeInput"
                                                 styleClass="form-control gzl-form-control gzl-select-text"
                                                 value="#{messagesBean.httpMessageType}">
                                    <f:selectItems
                                            value="#{messagesBean.getHTTPMessageTypes()}"/>
                                    <a4j:ajax event="change" execute="@this"
                                              render="panelOfMessages"/>
                                </h:selectOneMenu>
                                <a4j:commandLink
                                        actionListener="#{messagesBean.redirectToMessages(messagesBean.messageType,messagesBean.proxyPort,messagesBean.responderIP,messagesBean.responderPort,messagesBean.initiatorIP,messagesBean.initiatorPort,messagesBean.connectionId,messagesBean.dateFrom,messagesBean.dateTo,messagesBean.dicomAffectedSopClassUID,messagesBean.dicomCommandField,messagesBean.hl7MessageType,null,messagesBean.shared, messagesBean.secured)}"
                                        render="panelOfMessages" title="#{messages['net.ihe.gazelle.proxy.ClearFieldAndSearch']}"
                                        execute="@this">
                                    <span class="gzl-icon-times"/>
                                </a4j:commandLink>
                            </s:decorate>
                        </div>
                    </s:div>
                    <div class="row">
                        <div class="col-md-6">
                            <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                                <ui:param name="id" value="datefrom"/>
                                <ui:define name="label">#{messages['net.ihe.gazelle.proxy.DateFrom']}</ui:define>
                                <rich:calendar id="datefrom" value="#{messagesBean.dateFrom}"
                                               popup="true" showApplyButton="true" datePattern="d/M/yy HH:mm"
                                               cellWidth="24px" cellHeight="22px" style="width:200px">
                                    <a4j:ajax event="change" execute="@this"
                                              render="panelOfMessages"
                                              listener="#{messagesBean.validateDate()}"/>
                                </rich:calendar>
                                <a4j:commandLink
                                        actionListener="#{messagesBean.redirectToMessages(messagesBean.messageType,messagesBean.proxyPort,messagesBean.responderIP,messagesBean.responderPort,messagesBean.initiatorIP,messagesBean.initiatorPort,messagesBean.connectionId,null,messagesBean.dateTo,messagesBean.dicomAffectedSopClassUID,messagesBean.dicomCommandField,messagesBean.hl7MessageType,messagesBean.httpMessageType,messagesBean.shared, messagesBean.secured)}"
                                        render="panelOfMessages" title="#{messages['net.ihe.gazelle.proxy.ClearFieldAndSearch']}"
                                        execute="@this">
                                    <span class="gzl-icon-times"/>
                                </a4j:commandLink>
                            </s:decorate>
                        </div>
                        <div class="col-md-6">
                            <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                                <ui:param name="id" value="dateto"/>
                                <ui:define name="label">#{messages['net.ihe.gazelle.proxy.DateTo']}</ui:define>
                                <rich:calendar id="dateto" value="#{messagesBean.dateTo}"
                                               popup="true" showApplyButton="true" datePattern="d/M/yy HH:mm"
                                               cellWidth="24px" cellHeight="22px" style="width:200px">
                                    <a4j:ajax event="change" execute="@this"
                                              render="panelOfMessages"
                                              listener="#{messagesBean.validateDate()}"/>
                                </rich:calendar>
                                <a4j:commandLink
                                        actionListener="#{messagesBean.redirectToMessages(messagesBean.messageType,messagesBean.proxyPort,messagesBean.responderIP,messagesBean.responderPort,messagesBean.initiatorIP,messagesBean.initiatorPort,messagesBean.connectionId,messagesBean.dateFrom,null,messagesBean.dicomAffectedSopClassUID,messagesBean.dicomCommandField,messagesBean.hl7MessageType,messagesBean.httpMessageType,messagesBean.shared, messagesBean.secured)}"
                                        render="panelOfMessages" title="#{messages['net.ihe.gazelle.proxy.ClearFieldAndSearch']}"
                                        execute="@this">
                                    <span class="gzl-icon-times"/>
                                </a4j:commandLink>
                            </s:decorate>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-6">
                            <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                                <ui:param name="id" value="selectDate"/>
                                <ui:define name="label">#{messages['net.ihe.gazelle.proxy.RapidDateSelection']}
                                </ui:define>
                                <h:selectOneMenu id="selectDate"
                                                 styleClass="form-control gzl-form-control gzl-select-text"
                                                 value="#{messagesBean.currentSelectDate}">
                                    <f:selectItem id="item" itemLabel="--" itemValue="1"/>
                                    <f:selectItem id="item1"
                                                  itemLabel="#{messages['net.ihe.gazelle.proxy.LastHour']}"
                                                  itemValue="last hour"/>
                                    <f:selectItem id="item2"
                                                  itemLabel="#{messages['net.ihe.gazelle.proxy.Today']}"
                                                  itemValue="today"/>
                                    <f:selectItem id="item3"
                                                  itemLabel="#{messages['net.ihe.gazelle.proxy.Yesterday']}"
                                                  itemValue="yesterday"/>
                                    <f:selectItem id="item4"
                                                  itemLabel="#{messages['net.ihe.gazelle.proxy.ThisWeek']}"
                                                  itemValue="this week"/>
                                    <f:selectItem id="item5"
                                                  itemLabel="#{messages['net.ihe.gazelle.proxy.LastWeek']}"
                                                  itemValue="last week"/>
                                    <f:selectItem id="item6"
                                                  itemLabel="#{messages['net.ihe.gazelle.proxy.ThisMonth']}"
                                                  itemValue="this month"/>
                                    <f:selectItem id="item7"
                                                  itemLabel="#{messages['net.ihe.gazelle.proxy.LastMonth']}"
                                                  itemValue="last month"/>
                                    <a4j:ajax event="change"
                                              listener="#{messagesBean.selectDate(messagesBean.currentSelectDate)}"
                                              execute="@this" render="panelOfMessages,datefrom,dateto"/>
                                </h:selectOneMenu>
                                <a4j:commandLink
                                        actionListener="#{messagesBean.redirectToMessages(messagesBean.messageType,messagesBean.proxyPort,messagesBean.responderIP,messagesBean.responderPort,messagesBean.initiatorIP,messagesBean.initiatorPort,messagesBean.connectionId,null,null,messagesBean.dicomAffectedSopClassUID,messagesBean.dicomCommandField,messagesBean.hl7MessageType,messagesBean.httpMessageType,messagesBean.shared, messagesBean.secured)}"
                                        render="panelOfMessages,datefrom,dateto" title="#{messages['net.ihe.gazelle.proxy.ClearFieldAndSearch']}"
                                        execute="@this">
                                    <span class="gzl-icon-times"/>
                                </a4j:commandLink>
                            </s:decorate>
                        </div>
                    </div>
                    <ui:define name="filter_buttons">
                        <a4j:commandLink actionListener="#{messagesBean.refreshFilter()}"
                                         title="#{messages['net.ihe.gazelle.proxy.Refresh']}" type="submit"
                                         execute="@this" render="filterForm,panelOfMessages">
                            <span class="fa fa-refresh"/>
                        </a4j:commandLink>
                        <a4j:commandLink actionListener="#{messagesBean.clearFilter()}"
                                         title="#{messages['net.ihe.gazelle.proxy.Reset']}" type="submit"
                                         execute="@this" render="filterForm,panelOfMessages">
                            <span class="fa fa-times-circle"/>
                        </a4j:commandLink>
                    </ui:define>
                </ui:decorate>
            </div>
            <!--@formatter:off-->
            <script>
                disable_input_spinner_mouse_wheel('#{rich:clientId('initiatorsPortSpinnerInput')}');
                disable_input_spinner_mouse_wheel('#{rich:clientId('respondersPortSpinnerInput')}');
                disable_input_spinner_mouse_wheel('#{rich:clientId('proxysPortSpinnerInput')}');
                disable_input_spinner_mouse_wheel('#{rich:clientId('connectionIDSpinnerInput')}');
            </script>
            <!--@formatter:on-->
        </h:form>

        <h:form id="panelOfMessages">
            <s:div id="panelOfMessagesDiv">
                <ui:include src="messageList.xhtml">
                    <ui:param name="messagesList"
                              value="#{messagesBean.messageDataModel}"/>
                </ui:include>
            </s:div>
        </h:form>
    </ui:define>
</ui:composition>
